## Zen Cart deutsch

* Open Source Onlineshop System
* the art of e-commerce
* übersetzt, angepasst und erweitert zur Verwendung im deutschsprachigen Raum

## Hinweis

Freigegebene getestete Versionen für den Einsatz in Livesystemen ausschließlich unter Releases herunterladen:
* https://github.com/zencartpro/zencart-german-grundsystem/releases

## Was ist Zen Cart?

Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com.
Die amerikanische Zen Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. 
Daher wurde die deutsche Zen-Cart Version nicht nur bloß ins Deutsche übersetzt, sondern auch funktional auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst. Zusätzlich bietet die deutsche Zen Cart Version einen vollständig multilingualen Adminbereich und hat zahlreiche häufig verwendete Erweiterungen bereits vorinstalliert.
Das Projekt wird von einem Team von Entwicklern in Österreich und Deutschland betreut und weiterentwickelt.
Die deutsche Zen Cart Version ist eine Modifikation der amerikanischen Zen Cart Version.

## Hauptunterschiede zwischen der deutschen und amerikanischen Version:

* Die amerikanische Version ist im Administrationsbereich immer monolingual englisch. Daran ändert auch die etwaige Installation eines deutschen Sprachpakets nichts. Die meisten Konfigurationseinstellungen werden immer auf englisch sein, da sie in der Datenbank hinterlegt sind. Die deutsche Zen Cart Version bietet einen multilingualen Adminbereich. Dadurch sind auch die in der Datenbank hinterlegten Konfigurationseinstellungen und -beschreibungen auf deutsch. Sie könnten auch in jeder anderen Sprache genutzt werden. Diese Funktionalität steht natürlich auch für später installierte Erweiterungen zur Verfügung. Die im Downloadbereich von zen-cart-pro.at angebotenen Module berücksichtigen diese Multilanguagefähigkeit und sind alle für die deutsche Zen Cart Version ausgelegt.
* Die amerikanische Zen Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. Daher wurde die deutsche Zen Cart Version auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst. Die Anforderungen der sogenannten "Buttonlösung", der Datenschutzgrundverordnung (DSGVO) und viele andere Vorgaben werden erfüllt.
* Alternativ zum CKEditor ist in der deutschen Version auch der Tiny MCE Editor integriert.
* Die amerikanische Version ist extrem abgespeckt und stellt weiterführende Funktionalitäten durch zusätzliche Module bereit, die erst mühsam manuell installiert werden müssen. Zahlreiche häufig genutze Erweiterungen und eigene Entwicklungen sind in der deutschen Zen Cart Version bereits vorinstalliert.
* Weitere für die deutsche Zen Cart Version angepasste Erweiterungen stehen hier auf Github zur Verfügung.

## Installationsanleitung / Updateanleitung / Konfiguration

Umfangreiche Onlinedokumentation und Knowledgebase auf:
* https://www.zen-cart-pro.at

Installationsanleitung:
* https://installationsanleitung.zen-cart-pro.at

Updateanleitung:
* https://updateanleitung.zen-cart-pro.at

Sicherheitsempfehlungen:
* https://sicherheit.zen-cart-pro.at

Neuheiten in Version 1.5.7:
* https://www.zen-cart-pro.at/knowledgebase/was-ist-neu-in-1-5-7/

## Erweiterungen

Gut dokumentierte und gut getestete Zusatzmodule für die deutsche Zen Cart Version auf:
* https://downloads.zen-cart-pro.at

## Newsletter

Immer informiert über neue Versionen, Sicherheitspatches und neue Module:
* https://newsletter.zen-cart-pro.at

## Unterstützen

Die deutsche Zen Cart Version steht Ihnen kostenfrei im Rahmen der GNU General Public License zur Verfügung.
Sie können diese Software kostenfrei benutzen, Änderungen vornehmen, etc.

Da wir Ihnen diese Software kostenfrei zur Verfügung stellen, freuen wir uns über Spenden.
Diese Spenden helfen uns, die Kosten für die Wartung, Updates und die stetige Weiterentwicklung dieser Software für Ihren Online-Shop zu decken.

Spende für die Weiterentwicklung der deutschen Zen Cart Version:
* https://spenden.zen-cart-pro.at

Du bist Entwickler und möchtest helfen, die deutsche Zen Cart Version noch besser zu machen?
Beteilige Dich auf Github.